Subject: Re: bug#18281: 24.4.50; doc of `customize-apropos*'

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 03 Aug 2019 20:53:39 +0200

Drew Adams <[email-masked]> writes:

> This applies to `customize-apropos' and its related commands.
>
> 1. The doc is not clear wrt what happens when you provide a list of
> "words" as the input, instead of a regexp.
>
> It is very easily to misunderstand the inadequate description as saying
> that the words you enter are matched, not together sequentially against
> a single customize target, but individually against multiple customize
> targets.
>
> This is all the more true, since this command has as its aim to match
> any number of targets: it constructs a Customize buffer for all targets
> matched.
>
> Both the doc at (emacs) `Specific Customization' and the doc string are
> defective (misleading and incomplete) in this regard.
>
> The doc should say something like this:
>
>  If you provide a list of words then all possible pairs of the words are
>  matched together, in both orders, against the name of each Customize
>  object of TYPE.  That is, the object name must contain both words as
>  sbubstrings.

I don't know what the doc string said at the time you filed the report
(it would be helpful if you included that in your reports), but
currently it says:

---

Customize loaded options, faces and groups matching PATTERN.
PATTERN can be a word, a list of words (separated by spaces),
or a regexp (using some regexp special characters).  If it is a word,
search for matches for that word as a substring.  If it is a list of
words, search for matches for any two (or more) of those words.

---

That seems quite clear to me, and I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no